#ifndef MATHLIB_SIMD_CONFIG_H
#define MATHLIB_SIMD_CONFIG_H

// type definitions and defines for simd instructions

namespace mathlib {

#if defined(__GNUG__) && defined(__SSE__) || 1
	// g++ with sse instructions enabled
#	define MATHLIB_SIMD 1
#	define MATHLIB_SIMD4 1
#	define MATHLIB_GCC_SSE 1

#	define MATHLIB_SIMD4_ALIGN __attribute__((aligned(__alignof__(v4sf))))

// vector of 4 floats
typedef int v4sf __attribute__ ((mode(V4SF)));

#else
#	define MATHLIB_SIMD4_ALIGN
#endif

} // namespace mathlib

#endif
